Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 592351 - Errata Search ("All Fields") doesn't search CVE
Summary: Errata Search ("All Fields") doesn't search CVE
Keywords:
Status: CLOSED EOL
Alias: None
Product: Red Hat Satellite 5
Classification: Red Hat
Component: WebUI
Version: 530
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Justin Sherrill
QA Contact: Red Hat Satellite QA List
URL:
Whiteboard:
Depends On: 576953
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-14 15:54 UTC by Justin Sherrill
Modified: 2018-11-14 16:37 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 576953
Environment:
Last Closed: 2016-02-04 15:12:40 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Justin Sherrill 2010-05-14 15:54:46 UTC
+++ This bug was initially created as a clone of Bug #576953 +++

Description of problem:
Search is broken: case sensitive, deliminator sensitive, fields are wrong.

Version-Release number of selected component (if applicable):
5.3.0 latest

How reproducible:
Always

Steps to Reproduce:
1. Search for an errata by CVE. We'll use this as our example: CVE-2010-0097
2. Now search by CVE, but make it cve-2010-0097 --- it will NOT work.
3. Now search by CVE, but make it 2010-0097 --- it will work.
4. Now try CVE20100097 --- it will NOT work.
5. Now try "All Fields" They will all fail since All Fields does not include all fields.
  
Actual results:
Ugh.

Expected results:
Yay!

Additional info:
Talk to me, taw@redhat.com, if you have further questions.

--- Additional comment from jsherril@redhat.com on 2010-05-14 11:52:32 EDT ---

So fixed case sensitive search and partial searches not working here:  7fbdf029cf8666a5033032755da3421af4c69f5a

--- Additional comment from jsherril@redhat.com on 2010-05-14 11:54:04 EDT ---

Going to clone this to fix the All fields not including CVE, as that is a bit harder to solve.

Comment 2 Tomas Lestach 2016-02-04 15:12:40 UTC
We have re-reviewed this bug, as part of an ongoing effort to improve Satellite/Proxy feature and bug updates, review and backlog.
We're closing this Bugzilla due to the Satellite 5 version this bug was reported against having been EOL (End-of-Life) [1].
Please re-open if the issue still exists in the latest Satellite 5 version.

[1] Satellite Life Cycle page: https://access.redhat.com/support/policy/updates/satellite


Note You need to log in before you can comment on or make changes to this bug.